View Issue Details

IDProjectCategoryView StatusLast Update
0001629SymmetricDSImprovementpublic2014-03-16 10:31
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.0 
Target Version3.5.19Fixed in Version3.5.19 
Summary0001629: SQL Server bulk loader option to fire triggers
DescriptionAdd a property to configure the MS SQL Server bulk loader so that it can fire triggers and have its changes captured. It uses "BULK INSERT" statements that will bypass triggers by default. We can add the "FIRE_TRIGGERS" argument to the statement to allow firing of triggers.
TagsNo tags attached.

Activities

elong

2014-03-05 10:50

developer   ~0000497

Added mssql.bulk.load.fire.triggers=false

Related Changesets

SymmetricDS: master ac134c8e

2014-03-05 09:25:46

erilong

Details Diff
0001629: SQL Server bulk loader option to fire triggers
0001629
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ext/MsSqlBulkDataLoaderFactory.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-mssql/src/main/java/org/jumpmind/symmetric/io/data/writer/MsSqlBulkDatabaseWriter.java Diff File

Issue History

Date Modified Username Field Change
2014-03-05 08:43 elong New Issue
2014-03-05 08:43 elong Status new => assigned
2014-03-05 08:43 elong Assigned To => elong
2014-03-05 10:00 Changeset attached => SymmetricDS 3.5 r8023
2014-03-05 10:00 Changeset attached => SymmetricDS trunk r8024
2014-03-05 10:50 elong Note Added: 0000497
2014-03-05 10:50 elong Status assigned => resolved
2014-03-05 10:50 elong Fixed in Version => 3.5.19
2014-03-05 10:50 elong Resolution open => fixed
2014-03-07 09:39 admin Target Version => 3.5.19
2014-03-16 10:31 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master ac134c8e